// *************************************************************************
//    Schema.h
// *************************************************************************

#ifndef _Schema_H_
#define _Schema_H_

// *************************************************************************

enum DBTermType {
  COR_INT_DBTYPE,
  COR_DOUBLE_DBTYPE,
  COR_STRING_DBTYPE,
  COR_INVALID_DBTYPE,
};

// *************************************************************************

class Cor_Schema {
public:
    DBTermType types[COR_MAX_ARGLIST_SIZE];
    int arity;

    // Takes a schema definition as an ArgList
    Cor_Schema(Cor_ArgList &arglist, int& error, int by_example=0);
    Cor_Schema() { arity = 0 ;};

    void operator=(Cor_Schema& schema2);
    DBTermType operator[](int index)
    {
        return (index < COR_MAX_ARGLIST_SIZE) ?
            types[index] : COR_INVALID_DBTYPE ;
    }

    void printon(ostream *outf);
};

// *************************************************************************

#endif _Schema_H_
