#ifndef _RDBINGRESDELETE_H_
#define _RDBINGRESDELETE_H_

#include "RdbDelete.h"
#include "RdbIngresSqlda.h"


class RdbIngresDelete
: public RdbDelete
{
  public:

    RdbIngresDelete(const RdbRelation& newRel, const BitVector& newAdorn);

    ~RdbIngresDelete();

  private:

    RdbIngresSqlda bindDA;	// tuple to insert

    static unsigned deleteNum;	// first one better be free when this
				// rolls over!!

    ErrorCode Describe();	// prepares the delete statement

    ErrorCode PrepareDA();	// prepares the delete bindDA

    ErrorCode Bind(const RdbItemList& bindings); // binds the delete bindDA

    virtual ErrorCode VDelete(const RdbItemList& bindings);

    RdbIngresDelete(const RdbIngresDelete&); // na

    RdbIngresDelete& operator =(const RdbIngresDelete&); // na
};


#include "RdbIngresDelete.i"

#endif // _RDBINGRESDELETE_H_
