// *************************************************************************
//    AggSelInfo.C
// *************************************************************************

#include "AggSelInfo.h"
#include "BindEnv.h"

// *************************************************************************
Cor_AggSelInfo::Cor_AggSelInfo()
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    arglist     = NULL;
    groupbylist = NULL;

    op_arg      = NULL;
    agg_val     = NULL;
    gb_agg_val  = NULL;

    rel         = NULL;

    bindenv     = NULL;

    indexnum    = -1;

    next        = NULL;
    agg_type    = AggSel_Regular;
}

// *************************************************************************
Cor_AggSelInfo::~Cor_AggSelInfo()
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    delete groupbylist;

    delete op_arg;
    delete agg_val;
    delete gb_agg_val;

    delete bindenv;
}

// *************************************************************************
