// *************************************************************************
//    RMark.C
// *************************************************************************

#include "RMark.h"
#include "Globals.h"
#include "Debug.h"

// *************************************************************************
void Cor_RMark::init(Cor_TupleStack *stk, int index) 
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    tlist  = stk;
    tindex = index;
    rel_p  = NULL;
}

// *************************************************************************
void Cor_RMark::init(Cor_RelationLink *link) 
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    tlist = NULL;
    rel_p = link;
}

// *************************************************************************
Cor_RMark::Cor_RMark()
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    rel_p = NULL;
}

// *************************************************************************
Cor_RMark::Cor_RMark(Cor_TupleStack *stk, int index)
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    tlist  = stk;
    tindex = index;
    rel_p  = NULL;
}

// *************************************************************************
Cor_RMark::Cor_RMark(Cor_RelationLink *link)
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
    rel_p = link;
}

// *************************************************************************
