// *************************************************************************
//	BuiltinUnaryRelation.h
// *************************************************************************

#ifndef _BuiltinUnaryRelation_H_
#define _BuiltinUnaryRelation_H_

#include "BuiltinRelation.h"
#include "Debug.h"

// *************************************************************************

typedef void (*AggProc)(Cor_CArg&, Cor_Relation *rel);

// *************************************************************************

class Cor_BuiltinUnaryRelation : public Cor_BuiltinRelation {

  public:
	AggProc op;

	Cor_BuiltinUnaryRelation(int a, Cor_CArg *n, AggProc agg_op);

	virtual Cor_BindEnv *get_next(Cor_TupleIterator&);
	int is_printable_builtin() {return 0;}
};

// *************************************************************************

#endif _BuiltinUnaryRelation_H_
