
/*
 * Example of a C++ program that uses declarative CORAL.
 */

#include <iostream.h>

typedef struct complex {
    double    real;
    double    img;
} Complex;

int main(int argc, char **argv)
{
  int  k = 9;
  double j = 4.23;
  char *dumb = "dumb";
  Complex z1 = { 2.4, 3.6 };
  Complex *z = &z1;
  Cor_CArg *carg;
  

  cout << "param1.S - program to demonstrate parameter passing.\n";

  init_coral(argv[0]);

  \[
    clear(interactive_mode).
  \]


  carg = make_nil();

  \[
    corn(($int)$k, 1, ($int)$k).

    % You can use either 'CArg *' or 'Cor_CArg *'
    beans(2, ($CArg*)$carg, ($string) $dumb).
    wheat(($double)$j, ($chunk)$z).

    % These are equivilent
    other(($chunk)$z).
    other(($void *)$z).
  \]

    // There's no particular reason these are in a seperate embedded 
    // section.
  \[
    ? corn(X,Y,Z).
    ? beans(X,Y,Z).
    ? wheat(X,Z).
    ? other(Z).
  \]


  cout << "Done.\n";

  exit_coral();

  return(0);
}
