

 module mymax.
 export mymax[bbbbf].

   % The first fact is always inserted
   mymax( nil, nil, NewFact, NewArgs, NewFact ).

   mymax(OldFact, [OldW], NewFact, [NewW], OldFact) :- OldW >= NewW. 
   mymax(OldFact, [OldW], NewFact, [NewW], NewFact) :- OldW <  NewW. 

 end_module.

module mymin.
export mymin[bbbbf].

% If this grouping was previously empty, insert any fact.
  mymin( nil, nil, NewFact, NewArgs, [NewFact] ).

% Otherwise, only keep the minimum.
  mymin(OldFacts, [[OldA]|Rest],
        NewFact, [NewA], OldFacts) :- OldA < NewA.

  mymin(OldFacts, [[OldA]|Rest],
        NewFact, [NewA], OldFacts) :- OldA = NewA.

  mymin(OldFacts, [[OldA]|Rest],
        NewFact, [NewA], [NewFact]) :- NewA < OldA.

end_module.


fact(1,2,5).
fact(1,2,29).
fact(0,0,7).
fact(0,0,0).
fact(1,2,2).
fact(1,2,97).
fact(1,2,9).
fact(0,0,111).

module fact2.

export fact2[fff].
export fact3[fff].

@aggregate_selection  fact2(X,Y,Z)  (X) mymax(Z).
@aggsel_multiple_answers  fact3(X,Y,Z)  (X) mymin(Z).

% Some trival examples
fact2(X,Y,Z) :- fact(X,Y,Z).
fact3(X,Y,Z) :- fact(X,Y,Z).

end_module.

