// RdbRelation inline implemenations


inline RdbRelation::~RdbRelation()
{
}


inline RdbSystem& RdbRelation::System() const
{ 
    return database.System();
}


inline RdbDatabase& RdbRelation::Database() const
{ 
    return database;
}


inline int RdbRelation::Arity() const
{
    return colNames.Size();
}


inline const String& RdbRelation::RelName() const
{
    return relName;
}


inline const String& RdbRelation::ColName(int i) const
{
    return colNames[i]; 
}


inline String RdbRelation::SystemName() const
{
    return database.SystemName(); 
}


inline String RdbRelation::DatabaseName() const
{
    return database.DatabaseName(); 
}


inline RdbInsert* RdbRelation::NewInsert()
{
    return database.NewInsert(*this); 
}


inline RdbDelete* RdbRelation::NewDelete(const BitVector& adorn)
{
    return database.NewDelete(*this, adorn); 
}



