# Generated automatically from master.mk.in by configure.
# master.mk - master make include file
#
# The source for this file is master.mk.in.
# master.mk is created by configure.
#
# -----------------------------------------------------------------------------
# Copyright 1993 Allan Brighton.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appear in all copies.  Allan
# Brighton make no representations about the suitability of this software
# for any purpose.  It is provided "as is" without express or implied
# warranty.
# -----------------------------------------------------------------------------
#
# The pathnames below are modified by configure:
#

include $(CORALROOT)/CONFIG

# --- compilers and options ---

# C++ compiler (change to CC for AT&T version)
CCC = g++

# C compiler
CC = gcc

# default C compiler flags
CFLAGS = -g

# default C++ compiler flags
CCFLAGS = -g


# Default top-level directories  (Now in CONFIG)
exec_prefix =	$(TCL_HOME_DIR)
prefix =	$(TCL_HOME_DIR)

# Directory where libtk.a and libtcl.a were installed:
LIB_DIR =	$(exec_prefix)/lib

# libcoral.a is:
CORAL_LIB = $(CORALROOT)/lib/libcoral.a

# Directory where tcl/tk includes were installed
INCLUDE_DIR =	$(prefix)/include

# directories for manual entries:
MAN_DIR =	$(prefix)/man
MANN_DIR =	$(MAN_DIR)/mann

# X include flags
XINCLUDES =	 -I/s/X11R6-3/include

# compiler flags for X
XLIBSW =	-L/s/X11R6-3/lib -lX11

# libraries to link for tcl/tk
LIBS = $(CORAL_LIB) $(RDB_LDFLAGS) $(RDB_LOADLIBES) $(LIB_DIR)/libtk.a $(LIB_DIR)/libtcl.a $(X11_LIB_SWITCHES) $(XLIBSW)  -lXbsd -lm -lg++

# some makes rely on this
SHELL =		/bin/sh

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		 -DHAVE_UNISTD_H=1
INSTALL =		cp
INSTALL_PROGRAM =	$(INSTALL)
INSTALL_DATA =		$(INSTALL)
RANLIB =		ranlib
SRC_DIR =		.
VPATH =			.

# this is usefull for Sun make as an alternative
# to makedepend
.KEEP_STATE:

# default rules

.SUFFIXES: .c .cc .cpp .sc

# C rules
COMPILE.c=$(CC) $(AC_FLAGS) $(CFLAGS) $(CPPFLAGS) -c
LINK.c=$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) 
.c:
	$(LINK.c) -o $@ $< $(LDLIBS)
.c.o:
	$(COMPILE.c) $<

# C++ rules
COMPILE.cc=$(CCC) $(AC_FLAGS) $(CCFLAGS) $(CPPFLAGS) -c
LINK.cc=$(CCC) $(CCFLAGS) $(CPPFLAGS) $(LDFLAGS)
.cc:
	$(LINK.cc) -o $@ $< $(LDLIBS)
.cc.o:
	$(COMPILE.cc) $<

