// *************************************************************************
//    CoralClasses.h
// *************************************************************************

#ifndef _CoralClasses_H_
#define _CoralClasses_H_

// *************************************************************************

class Cor_CArg;
class Cor_AggSelInfo;
class Cor_AliasList;
class Cor_ArgList;

class Cor_BindEnv;
class Cor_BitVector;
class Cor_BoundArgList;
class Cor_BPlusTreeIndex;          // derived from Cor_IndexStruct
class Cor_break_info;
class Cor_BufferGroup;
class Cor_BuiltinRelation;         // derived from Cor_Relation
class Cor_BuiltinBinaryRelation    // derived from Cor_BuiltinRelation
class Cor_BuiltinCompareRelation   // derived from Cor_BuiltinRelation
class Cor_BuiltinDebugRelation     // derived from Cor_BuiltinRelation
class Cor_BuiltinFailRelation      // derived from Cor_BuiltinRelation
class Cor_BuiltinIndexRelation     // derived from Cor_BuiltinRelation
class Cor_BuiltinSetRelation       // derived from Cor_BuiltinRelation
class Cor_BuiltinTraceRelation     // derived from Cor_BuiltinRelation
class Cor_BuiltinUnaryRelation     // derived from Cor_BuiltinRelation
class Cor_BuiltinUserRelRelation   // derived from Cor_BuiltinRelation
class Cor_BuiltinUserTupleRelation // derived from Cor_BuiltinRelation

class Cor_ScanDesc;
class Cor_Catalog;
class Cor_Clause;
class Cor_ConnectArray;
class Cor_Connection;
class Cor_Context;
class Cor_ContextNode;
class CoralConfig;
class CoralSock;
class Cor_CRdbDatabase;
class Cor_CRdbManager;
class Cor_CRdbRelation;
class Cor_CRdbVar;
class Cor_CRdbVarPtrList;

class Cor_DatabaseStruct;
class Cor_DBEntry;
class Cor_DerivedRelation;         // derived from Cor_Relation

class Cor_ExecutionEnv;
class Cor_ExecutionList;
class Cor_ExportInfo;

class Cor_FileDescStruct;

class Cor_GenericIndex;
class Cor_GenericIndexSet;
class Cor_GoalNode;                // derived from Cor_Tuple
class Cor_GoalNodeLink;

class Cor_HashNode;
class Cor_HashIndex;               // derived from Cor_GenericIndex
class Cor_HashIndexSet;            // derived from Cor_GenericIndexSet
class Cor_HashSimpleRelation;      // derived from Cor_StorageRelation
class Cor_HeapNode;
class Cor_History;

class Cor_IndexStruct;

class Cor_LinkedRelation;          // derived from Cor_StorageRelation
class Cor_Literal;

class Cor_ModulePred;
class Cor_ModuleInfo;
class Cor_ModuleEnv;

class Cor_IntStack;
class Cor_VoidStack;
class Cor_CArgStack;

class Cor_ParserEnv;
class Cor_ParserStruct;
class Cor_ParseStack;
class Cor_PersistentIndex;          // derived from Cor_GenericIndex
class Cor_PersistentIndexSet;       // derived from Cor_GenericIndexSet
class Cor_PersistentRel;            // derived from Cor_StorageRelation
class Cor_PipelinedDerivedRelation; // derived from Cor_DerivedRelation
class Cor_PipelinedExecInfo;
class Cor_PredAnnotations;
class Cor_Predicate;

class Cor_QFModuleData;
class Cor_QFMaterializedModuleData; // derived from Cor_QFModuleData
class Cor_QFPipelinedModuleData;    // derived from Cor_QFModuleData

class Cor_RefdData;
class Cor_Reference;
class Cor_Relation;
class Cor_RelationLink;
class Cor_RelationList;
class Cor_RelationStruct;
class Cor_RMark;
class Cor_RuleAnno;
class Cor_RuleAnnoCase;
class Cor_RuleAnnoCaseDetails;
class Cor_RuleAnnoCaseName;
class Cor_RuleAnnotes;
class Cor_RuleEnv;
class Cor_RuleInfo;
class Cor_RuleInfoArray;

class Cor_SccInfo;
class Cor_Schema;
class Cor_Sip;
class Cor_Sips;
class Cor_StackMark;
class Cor_StorageManager;
class Cor_StorageRelation;     // derived from Cor_Relation, Cor_TupleList
class Cor_SuspendContext;
class Cor_suspensionClass;

class Cor_Table;
class Cor_Term;
class Cor_Trail;
class Cor_Transaction;
class Cor_TrieNode;
class Cor_Tuple;
class Cor_TupleIterator;
class Cor_TupleLink;
class Cor_TupleList;

class Cor_User;

// *************************************************************************

#endif _CoralClasses_H_
