// *************************************************************************
//   CoralConfig.C
//   Methods for class CoralConfig
// *************************************************************************


#include <stdlib.h>
#include "CoralConfig.h"
#include "Config.h"
#include "Debug.h"

// *************************************************************************
CoralConfig::CoralConfig(void)
{
#ifdef    DO_CALL_STACK
    CallStk_Mark    callstk_mark(__FUNCTION__,__FILE__,__LINE__);
#endif
   char *coral_prompt = getenv("CORALPROMPT");

   if (coral_prompt)
     strcpy(prompt, coral_prompt);
   else
     strcpy(prompt, CORAL_PROMPT);

   server_mode = 0; // default to non-server mode
}

// *************************************************************************
